Bug 1364409 - Ship AppStream metadata file
Summary: Ship AppStream metadata file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-noscript
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 09:56 UTC by Onuralp SEZER
Modified: 2016-12-06 10:25 UTC (History)
2 users (show)

Fixed In Version: mozilla-noscript-2.9.5.1-1.fc25 mozilla-noscript-2.9.5.1-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 21:41:46 UTC


Attachments (Terms of Use)
addon metadata file (611 bytes, application/xml)
2016-08-05 09:56 UTC, Onuralp SEZER
no flags Details
addon metadata file (671 bytes, application/xml)
2016-08-05 09:57 UTC, Onuralp SEZER
no flags Details

Description Onuralp SEZER 2016-08-05 09:56:07 UTC
Created attachment 1187814 [details]
addon metadata file

The package doesn't ship AppStream [1] metadata file, so it doesn't appear in Nautilus profile in the default app catalog GNOME Software and is not easily discoverable and installable for users.
It should be included in the package as the packaging guidelines say [2]

I've created the file for you, see the attachment.

[1] http://www.freedesktop.org/software/appstream/docs/sect-Quickstart-Addons.html
[2] https://fedoraproject.org/wiki/Packaging:AppData

Comment 1 Onuralp SEZER 2016-08-05 09:57:42 UTC
Created attachment 1187815 [details]
addon metadata file

Comment 2 Dominik 'Rathann' Mierzejewski 2016-08-21 21:50:19 UTC
Thanks for the appstream file, I'll include it in the next release.

Comment 3 Fedora Update System 2016-11-21 13:05:25 UTC
mozilla-noscript-2.9.0.14-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3df8368158

Comment 4 Fedora Update System 2016-11-23 19:30:34 UTC
mozilla-noscript-2.9.5.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f0ffa81c3

Comment 5 Fedora Update System 2016-11-23 19:30:44 UTC
mozilla-noscript-2.9.5.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f51cb0269

Comment 6 Fedora Update System 2016-11-23 23:06:33 UTC
mozilla-noscript-2.9.0.14-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3df8368158

Comment 7 Fedora Update System 2016-11-25 09:39:26 UTC
mozilla-noscript-2.9.5.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3f51cb0269

Comment 8 Fedora Update System 2016-11-25 09:42:40 UTC
mozilla-noscript-2.9.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0f0ffa81c3

Comment 9 Fedora Update System 2016-12-05 21:41:46 UTC
mozilla-noscript-2.9.5.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-06 10:25:27 UTC
mozilla-noscript-2.9.5.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.